---
name: Chester Nwachukwu
locality:
country: Remote
role: <a href="/job-families/sales/technical-account-manager/">Technical Account Manager
  (Mid Market East)</a>
reports_to: patrick-h
picture: chesternwachukwu.jpg
gitlab: cnwachukwu
departments:
- Customer Success
- Technical Account Managers
- Configure Group CS Stable Counterpart
story: 'Chester has over 6+ years in the tech industry supporting clients in A.I,
  financial services, and the defense sector. Outside of working with interesting
  technology companies he enjoys listening to unique podcasts, watching interesting
  documentaries, and keeping up with his nieces and nephews whose pop culture references
  make him feel really old.

'
